Package twisted :: Package protocols :: Module oscar :: Class SNACBased

[show private | hide private]
[frames | no frames]

## Class SNACBased

    BaseProtocol --+
                   |
            Protocol --+
                       |
         OscarConnection --+
                           |
                          SNACBased

Known Subclasses:
  `OSCARService`, `BOSConnection`

Method Summary
| `__init__(self, cookie)`
| ``clientReady`(self)` called when the client is ready to be online
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `OscarConnection`)
| ``connectionMade`(self)` Called when a connection is made. (inherited from `OscarConnection`)
| ``dataReceived`(self, data)` Called whenever data is received. (inherited from `OscarConnection`)
| ``disconnect`(self)` send the disconnect flap, and sever the connection (inherited from `OscarConnection`)
| `oscar_(self, data)`
| `oscar_01_03(self, snac)`
| ``oscar_01_0A`(self, snac)` change of rate information.
| ``oscar_01_18`(self, snac)` host versions, in the same format as we sent
| `oscar_Data(self, data)`
| `oscar_unknown(self, snac)`
| `readFlap(self)` (inherited from `OscarConnection`)
| `sendFLAP(self, data, channel)` (inherited from `OscarConnection`)
| `sendKeepAlive(self)` (inherited from `OscarConnection`)
| ``sendSNAC`(self, fam, sub, data, flags)` send a snac and wait for the response by returning a Deferred.
| ``sendSNACnr`(self, fam, sub, data, flags)` send a snac, but don't bother adding a deferred, we don't care.
| `setKeepAlive(self, t)` (inherited from `OscarConnection`)
| `stopKeepAlive(self)` (inherited from `OscarConnection`)

Class Variable Summary
`dict` | `snacFamilies`

Method Details

### clientReady(self)

called when the client is ready to be online

### oscar_01_0A(self, snac)

change of rate information.

### oscar_01_18(self, snac)

host versions, in the same format as we sent

### sendSNAC(self, fam, sub, data, flags=[0, 0])

send a snac and wait for the response by returning a Deferred.

### sendSNACnr(self, fam, sub, data, flags=[0, 0])

send a snac, but don't bother adding a deferred, we don't care.

Class Variable Details

### snacFamilies

  Type:
    `dict`
  Value:

        {}

Generated by Epydoc 1.1 on Thu May 8 13:16:46 2003 | http://epydoc.sf.net